org.apache.tools.ant.filters

## Interface TokenFilter.Filter

All Known Implementing Classes:
  Native2AsciiFilter, ScriptFilter, TokenFilter.ChainableReaderFilter, TokenFilter.ContainsRegex, TokenFilter.ContainsString, TokenFilter.DeleteCharacters, TokenFilter.IgnoreBlank, TokenFilter.ReplaceRegex, TokenFilter.ReplaceString, TokenFilter.Trim, UniqFilter

Enclosing class:
  TokenFilter

    public static interface TokenFilter.Filter

string filters implement this interface

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `filter(java.lang.String string)` filter and/of modify a string

### Method Detail

#### filter

    java.lang.String filter(java.lang.String string)

filter and/of modify a string

Parameters:
  `string` - the string to filter
Returns:
  the modified string or null if the string did not pass the filter